#!/bin/sh
UNAME_A=`uname -a`
UNAME_M=`uname -m`
UNAME_N=`uname -n`
UNAME_R=`uname -r`
UNAME_S=`uname -s`
UNAME_P=`uname -p`
UNAME_V=`uname -v`

echo '<table border="1" width="100%">' 
echo '<tr><th colspan=2>uname summary:</th></tr>'
echo '<tr><td colspan=2>'$UNAME_A'</td></tr>'

echo '<tr><th colspan=2>uname details</th></tr>'
echo '<tr><td>Hostname</td><td>'$UNAME_N'</td></tr>'
echo '<tr><td>The machine (hardware) type</td><td>'$UNAME_M'</td></tr>'
echo '<tr><td>Processor type</td><td>'$UNAME_P'</td></tr>'
echo '<tr><td>OS release</td><td>'$UNAME_R'</td></tr>'
echo '<tr><td>OS name</td><td>'$UNAME_S'</td></tr>'
echo '<tr><td>OS version</td><td>'$UNAME_V'</td></tr>'

echo '<tr><th colspan=2>CPU information</th></tr>'
echo '<tr><td colspan=2><table border="1" width="100%">'
if [ -f /proc/cpuinfo ]
then
cat /proc/cpuinfo | awk -F ":" '{printf("<tr><td>%s</td><td>%s</td></tr>",$1,$2)}'
else
echo '<tr><td colspan="2">Not found</td></tr>'
fi
echo '</table></td></tr>'

echo '<tr><th colspan=2>Memory information</th></tr>'
echo '<tr><td colspan=2><table border="1" width="100%">'
if [ -f /proc/meminfo ]
then
cat /proc/meminfo | awk -F ":" '{printf("<tr><td>%s</td><td>%s</td></tr>",$1,$2)}'
else
echo '<tr><td colspan="2">Not found</td></tr>'
fi
echo '</table></td></tr>'

echo '<tr><th colspan=2>Linux/kernel information</th></tr>'
echo '<tr><td colspan=2>'
if [ -f /proc/version ]
then
cat /proc/version
else
echo 'Not found'
fi
echo '</td></tr>'
echo '</table>' 

